Subject: bug#66697: 30.0.50; [PATCH] desktop-save-mode with expiring remote buffers

From: Michael Albinus <[email-masked]>
Date: Mon, 23 Oct 2023 15:25:40 +0200

Manuel Giraud via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

Hi Manuel,

>> If so, can you set debug-on-quit non-nil and when Emacs prompts for
>> the password, type C-g and post the backtrace here?
>
> I have already (kind of) done that when trying to find out this issue:
> I've placed a 'debug' call into 'tramp-read-passwd'.  Here is what I
> get:

The relevant part is this:

>   tramp-file-name-handler(expand-file-name #("/doas:root@bb:~/" 6 10 (tramp-default t) 11 13 (tramp-default t)) nil)
>   expand-file-name(#("/doas:root@bb:~/" 6 10 (tramp-default t) 11 13 (tramp-default t)))
>   desktop-file-name(#("/doas:root@bb:~/" 6 10 (tramp-default t) 11 13 (tramp-default t)) "/home/manuel/.emacs.d/")

desktop-file-name calls expand-file-name, which triggers Tramp actions.

Best regards, Michael.